Page MenuHomePhabricator

fill out PCI forms for this year
Closed, ResolvedPublic

Description

Please fill these out ASAP

Event Timeline

DStrine created this task.Feb 26 2019, 7:01 PM
DStrine triaged this task as Unbreak Now! priority.
XenoRyet claimed this task.Feb 27 2019, 7:43 PM
XenoRyet added a subscriber: Ejegg.
DStrine renamed this task from fill out PCIU forms for this yearr to fill out PCI forms for this yearr.Feb 27 2019, 7:44 PM
This comment was removed by DStrine.
DStrine renamed this task from fill out PCI forms for this yearr to fill out PCI forms for this year.Feb 27 2019, 11:49 PM

New forms are filled out, and sent to @Ppena and Fr-tech for review.

XenoRyet closed this task as Resolved.Mar 19 2019, 7:53 PM